## org.exist.xquery
Class AnyNodeTest

    java.lang.Object
      org.exist.xquery.AnyNodeTest

All Implemented Interfaces:
  NodeTest

public class AnyNodeTest
extends java.lang.Object
implements NodeTest

Constructor Summary
`AnyNodeTest()`

Method Summary
`void` `dump(ExpressionDumper dumper)`
`QName` `getName()`
`int` `getType()`
`boolean` `isWildcardTest()`
`boolean` `matches(org.w3c.dom.Node node)`
`boolean` `matches(NodeProxy proxy)`
`void` `setType(int nodeType)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnyNodeTest

    public AnyNodeTest()

Method Detail

### getName

    public QName getName()

  Specified by:
    `getName` in interface `NodeTest`

### isWildcardTest

    public boolean isWildcardTest()

  Specified by:
    `isWildcardTest` in interface `NodeTest`

### matches

    public boolean matches(org.w3c.dom.Node node)

  Specified by:
    `matches` in interface `NodeTest`

### matches

    public boolean matches(NodeProxy proxy)

  Specified by:
    `matches` in interface `NodeTest`

### dump

    public void dump(ExpressionDumper dumper)

### toString

    public java.lang.String toString()

### setType

    public void setType(int nodeType)

  Specified by:
    `setType` in interface `NodeTest`

### getType

    public int getType()

  Specified by:
    `getType` in interface `NodeTest`

Copyright (C) Wolfgang Meier. All rights reserved.